%define		cairo_version	1.6.4-1
%define		glib_version	2.16.3-1

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:	System for layout and rendering of internationalized text
Name:		pango
Version:	1.20.5
Release:	1
License:	GNU/GPL
URL:		http://www.pango.org
Group:		System/Libraries
Source0:	pango-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot

Prereq:		glib >= %{glib_version}
Prereq:		freetype

Requires(pre):	libXrender, libX11, libXext, libXft

Requires:	freetype
Requires:	cairo >= %{cairo_version}

BuildRequires:	glib-devel >= %{glib_version}
BuildRequires:	pkg-config
BuildRequires:	freetype-devel
BuildRequires:	fontconfig-devel
BuildRequires:	libXrender-devel
BuildRequires:	libX11-devel
BuildRequires:	libXext-devel
BuildRequires:	libXft-devel
BuildRequires:	libXt-devel
BuildRequires:	cairo-devel >= %{cairo_version}
BuildRequires:	gtk-doc

# Require for rpm lzma compression transition
Requires:	rpm >= 4.4.2.3-1

%description
Pango is a system for layout and rendering of internationalized text.

%package	devel
Summary: 	System for layout and rendering of internationalized text
Group: 		Development/Libraries
Requires:	pango = %{PACKAGE_VERSION}
Requires:	libXrender-devel
Requires:	libX11-devel
Requires:	libXext-devel
Requires:	libXft-devel
Requires:	glib-devel >= %{glib_version}
Requires:	freetype-devel
Requires:	fontconfig-devel
Requires:	cairo-devel >= %{cairo_version}
Requires:	rpm >= 4.4.2.3-1

%description	devel
The pango-devel package includes the static libraries, header files,
and developer docs for the pango package.
Install pango-devel if you want to develop programs which will use
pango.

%post
pango-querymodules > /etc/pango/pango.modules
ldconfig

%postun
ldconfig

%prep
%setup -q -n pango-%{version}

%build
%configure \
--disable-gtk-doc \
--enable-doc-cross-references
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# check Xft support
PANGOXFT_SO=$RPM_BUILD_ROOT%_libdir/libpangoxft-1.0.so
if ! test -e $PANGOXFT_SO; then
        echo "$PANGOXFT_SO not found; did not build with Xft support?"
        ls $RPM_BUILD_ROOT%_libdir
        exit 1
fi

rm $RPM_BUILD_ROOT%_sysconfdir/%{name}/%{name}.modules
touch $RPM_BUILD_ROOT%_sysconfdir/%{name}/%{name}.modules

#
# We need the substitution of $host so we use an external
# file list
#
echo %dir %_sysconfdir/%{name} > modules.files
echo %ghost %_sysconfdir/%{name}/%{name}.modules >> modules.files

%files -f modules.files
%defattr(-, root, root)
%doc README AUTHORS COPYING ChangeLog 
%_libdir/lib%{name}*-*.so.*
%_bindir/%{name}-querymodules*
%_libdir/%{name}
%_mandir/man1/*
%dir %_sysconfdir/%{name}
%config %_sysconfdir/%{name}/%{name}x.aliases

%files devel
%defattr(-, root, root)
%_libdir/lib%{name}*.so
%_includedir
%_pkgconfig
%_bindir/%{name}-view
%doc %_datadir/gtk-doc/html/%{name}
%_libdir/*.la
%_libdir/%{name}/*/modules/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Jul 19 2008 Christian Wasem <wasem@ccux-linux.de> 1.20.5-1
- Version update
* Wed Apr 09 2008 Christian Wasem <wasem@ccux-linux.de> 1.20.1-1
- Version update
* Wed Mar 12 2008 Christian Metzen <metzench@ccux-linux.de> 1.20.0-1
- Version update
* Sat Jan 05 2008 Christian Metzen <metzench@ccux-linux.de> 1.19.2-2
- removed configure tag
* Sat Jan 05 2008 Christian Metzen <metzench@ccux-linux.de> 1.19.2-1
- Version update
* Thu Oct 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.18.3-1
- Version update
* Fri Sep 28 2007 Christian Metzen <metzench@ccux-linux.de> 1.18.2-1
- Version update
* Sun Mar 18 2007 Christian Metzen <metzench@ccux-linux.de> 1.16.1-3
- removed wrong configure setting
* Sat Mar 17 2007 Christian Metzen <metzench@ccux-linux.de> 1.16.1-2
- clean buildchain
* Fri Mar 16 2007 Christian Metzen <metzench@ccux-linux.de> 1.16.1-1
- Version update
* Wed Nov 08 2006 Christian Metzen <metzench@ccux-linux.de> 1.15.0-3
- clean buildchain
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 1.15.0-2
- rebuild
* Sun Nov 05 2006 Christian Metzen <metzench@ccux-linux.de> 1.15.0-1
- Version update
* Wed Sep 27 2006 Christian Metzen <metzench@ccux-linux.de> 1.14.4-1
- Version update
* Wed Aug 23 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.14.2-1
- Version update
* Mon Jul 03 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.13.2-1
- Version update
* Sat Jul 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.12.3-1
- Version update
* Mon May 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.12.1-1
- Version update
- added BuildRequires
* Thu Mar 16 2006 Christian Wasem <wasem@ccux-linux.de> 1.12.0-1
- Version update
* Fri Feb 10 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.11.4-1
- Version update
* Wed Nov 30 2005 Christian Metzen <metzench@ccux-linux.de> 1.10.2-1
- Version update
* Tue Oct 04 2005 Christian Metzen <metzench@ccux-linux.de> 1.10.1-1
- Version update
* Sun Sep 25 2005 Christian Metzen <metzench@ccux-linux.de> 1.10.0-4
- Rebuild against cairo
* Tue Aug 30 2005 Christian Metzen <metzench@ccux-linux.de> 1.10.0-3
- Moved some files, fixed requires and url
* Tue Aug 30 2005 Christian Wasem <wasem@ccux-linux.de> 1.10.0-2
- moving some Symlinks to main package again
* Mon Aug 29 2005 Christian Wasem <wasem@ccux-linux.de> 1.10.0-1
- Version Update to 1.10.0
* Tue Apr 12 2005 Christian Metzen <metzench@ccux-linux.de> 1.8.1-1
- Version Update to 1.8.1
* Mon Jan 10 2005 Christian Metzen <metzench@ccux-linux.de> 1.8.0-2
- Glib 2.6.1 Dependencies
* Wed Jan 05 2005 Christian Metzen <metzench@ccux-linux.de> 1.8.0-1
- Update to Version 1.8.0
